summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get-dep-lib.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/get-dep-lib.sh b/scripts/get-dep-lib.sh
index 15796ae80..ccda4bcb7 100755
--- a/scripts/get-dep-lib.sh
+++ b/scripts/get-dep-lib.sh
@@ -46,9 +46,9 @@ git_checkout_library() {
if [ ! "$current_sha" = "$target_sha" ] ; then
git fetch origin
- if ! git checkout "$version" ; then
+ if ! git checkout -f "$version" ; then
echo "Can't find the right tag in $name - giving up"
- return 1
+ exit 1
fi
fi
popd